# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KOperaBookmarkImporter Class Reference

A class for importing Opera bookmarks. More...

`#include <kbookmarkimporter_opera.h>`

Inheritance diagram for KOperaBookmarkImporter:

[legend]
Collaboration diagram for KOperaBookmarkImporter:

[legend]
List of all members.

## Signals

void | newBookmark (const QString &text, const QCString &url, const QString &additionalInfo)
void | newFolder (const QString &text, bool open, const QString &additionalInfo)
void | newSeparator ()
void | endFolder ()

## Public Member Functions

| KOperaBookmarkImporter (const QString &fileName)
void | parseOperaBookmarks ()

## Static Public Member Functions

static QString | operaBookmarksFile ()

## Protected Attributes

QString | m_fileName

## Detailed Description

A class for importing Opera bookmarks.

Deprecated:

Definition at line 35 of file kbookmarkimporter_opera.h.

The documentation for this class was generated from the following files:

- kbookmarkimporter_opera.h
- kbookmarkimporter_opera.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:07 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003